
/* 
 * $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident "$Header: strlocate.c 1.1 90/01/12 $@(#)strlocate.c	1.1 89/12/01"

#include <stdio.h>
#include <fcntl.h>
#include <stropts.h>
#include <sys/conf.h>
extern char *gettxt();

main(argc, argv)
int argc;
char **argv;
{
	int fd, ret;

	if (argc < 3) {
		fprintf(stderr, gettxt("strlocate:1","Usage:%s stream module\n"), argv[0]);
		exit(1);
	}
	if (*argv[1] == '-') {
		fd = fileno(stdin);
		argv[1] = "stdin";
	} else if ((fd = open(argv[1], O_RDWR | O_NDELAY)) < 0) {
		perror(argv[1]);
		exit(1);
	}
	if ( isastream(fd) ) {
		if ((ret = ioctl(fd, I_FIND, argv[2])) < 0) {
			perror(argv[2]);
			exit(1);
		}
		if ( ret ) {
			fprintf(stderr, gettxt("strlocate:2","%s is present on %s\n"), argv[2], argv[1]);
			exit(0);
		} else {
			fprintf(stderr, gettxt("strlocate:3","%s is not present on %s\n"), argv[2], argv[1]);
			exit(1);
		}
	} else {
		fprintf(stderr, gettxt("strlocate:4","%s is not a stream\n"), argv[1]);
		exit(1);
	}
}
